Package com.taosdata.jdbc

## Class TSDBConstants

- java.lang.Object
- - com.taosdata.jdbc.TSDBConstants

    public abstract class TSDBConstants
    extends Object

### Field Summary

Fields
`static Map<Integer,​String>` `DATATYPE_MAP`
`static String` `DEFAULT_PORT`
`static String` `INVALID_VARIABLES`
`static int` `JNI_CONNECTION_NULL`
`static int` `JNI_FETCH_END`
`static long` `JNI_NULL_POINTER`
`static int` `JNI_NUM_OF_FIELDS_0`
`static int` `JNI_RESULT_SET_NULL`
`static int` `JNI_SQL_NULL`
`static int` `JNI_SUCCESS`
`static int` `JNI_TDENGINE_ERROR`
`static int` `TSDB_DATA_TYPE_BIGINT`
`static int` `TSDB_DATA_TYPE_BINARY`
`static int` `TSDB_DATA_TYPE_BOOL`
`static int` `TSDB_DATA_TYPE_DOUBLE`
`static int` `TSDB_DATA_TYPE_FLOAT`
`static int` `TSDB_DATA_TYPE_INT`
`static int` `TSDB_DATA_TYPE_NCHAR`
`static int` `TSDB_DATA_TYPE_NULL`
`static int` `TSDB_DATA_TYPE_SMALLINT`
`static int` `TSDB_DATA_TYPE_TIMESTAMP`
`static int` `TSDB_DATA_TYPE_TINYINT`
`static String` `UNSUPPORT_METHOD_EXCEPTIONZ_MSG`

### Constructor Summary

Constructors
`TSDBConstants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `FixErrMsg​(int code)`
`static String` `WrapErrMsg​(String msg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PORT

    public static final String DEFAULT_PORT

See Also:
  Constant Field Values

#### UNSUPPORT_METHOD_EXCEPTIONZ_MSG

    public static final String UNSUPPORT_METHOD_EXCEPTIONZ_MSG

See Also:
  Constant Field Values

#### INVALID_VARIABLES

    public static final String INVALID_VARIABLES

See Also:
  Constant Field Values

#### DATATYPE_MAP

    public static Map<Integer,​String> DATATYPE_MAP

#### JNI_NULL_POINTER

    public static final long JNI_NULL_POINTER

See Also:
  Constant Field Values

#### JNI_SUCCESS

    public static final int JNI_SUCCESS

See Also:
  Constant Field Values

#### JNI_TDENGINE_ERROR

    public static final int JNI_TDENGINE_ERROR

See Also:
  Constant Field Values

#### JNI_CONNECTION_NULL

    public static final int JNI_CONNECTION_NULL

See Also:
  Constant Field Values

#### JNI_RESULT_SET_NULL

    public static final int JNI_RESULT_SET_NULL

See Also:
  Constant Field Values

#### JNI_NUM_OF_FIELDS_0

    public static final int JNI_NUM_OF_FIELDS_0

See Also:
  Constant Field Values

#### JNI_SQL_NULL

    public static final int JNI_SQL_NULL

See Also:
  Constant Field Values

#### JNI_FETCH_END

    public static final int JNI_FETCH_END

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_NULL

    public static final int TSDB_DATA_TYPE_NULL

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BOOL

    public static final int TSDB_DATA_TYPE_BOOL

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_TINYINT

    public static final int TSDB_DATA_TYPE_TINYINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_SMALLINT

    public static final int TSDB_DATA_TYPE_SMALLINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_INT

    public static final int TSDB_DATA_TYPE_INT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BIGINT

    public static final int TSDB_DATA_TYPE_BIGINT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_FLOAT

    public static final int TSDB_DATA_TYPE_FLOAT

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_DOUBLE

    public static final int TSDB_DATA_TYPE_DOUBLE

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_BINARY

    public static final int TSDB_DATA_TYPE_BINARY

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_TIMESTAMP

    public static final int TSDB_DATA_TYPE_TIMESTAMP

See Also:
  Constant Field Values

#### TSDB_DATA_TYPE_NCHAR

    public static final int TSDB_DATA_TYPE_NCHAR

See Also:
  Constant Field Values

### Constructor Detail

#### TSDBConstants

    public TSDBConstants()

### Method Detail

#### WrapErrMsg

    public static String WrapErrMsg​(String msg)

#### FixErrMsg

    public static String FixErrMsg​(int code)